Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class Capabilities.ContactInformation

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.Capabilities.ContactInformation

Enclosing class:
  Capabilities

    public static final class Capabilities.ContactInformation

extends Object

Encapsulates the contact information sent as part of a `Capabilities` response.

Nested Class Summary
`static class` | `Capabilities.ContactInformation.Address` Encapsulates the contact address.

Method Summary
`Capabilities.ContactInformation.Address` | `getAddress()` Returns the address of the contact.
`String` | `getEmail()` Returns the electronic mail address of the contact.
`String` | `getFax()` Returns the facsimile telephone number of the contact.
`String` | `getOrganization()` Returns the contact organization.
`String` | `getPerson()` Returns the contact person.
`String` | `getPhone()` Returns the voice telephone number of the contact.
`String` | `getPosition()` Returns the position title of the contact person.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPerson

    public String getPerson()

  Returns the contact person. May be `null`.

### getOrganization

    public String getOrganization()

  Returns the contact organization. May be `null`.

### getPosition

    public String getPosition()

  Returns the position title of the contact person. May be `null`.

### getAddress

    public Capabilities.ContactInformation.Address getAddress()

  Returns the address of the contact. May be `null`.

### getPhone

    public String getPhone()

  Returns the voice telephone number of the contact. May be `null`.

### getFax

    public String getFax()

  Returns the facsimile telephone number of the contact. May be `null`.

### getEmail

    public String getEmail()

  Returns the electronic mail address of the contact. May be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD